Name:          jboss-remoting-jmx
Version:       2.0.1
Release:       6
Summary:       JMX via JBoss Remoting
License:       LGPLv2+
URL:           http://www.jboss.org/
Source0:       https://github.com/jbossas/remoting-jmx/archive/%{version}.Final.tar.gz

BuildRequires: maven-local mvn(org.jboss.logging:jboss-logging) mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires: mvn(org.jboss:jboss-parent:pom:) mvn(org.jboss.remoting:jboss-remoting) >= 3.2.2-1
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor) mvn(junit:junit) mvn(org.jboss.xnio:xnio-nio)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling) mvn(org.jboss.sasl:jboss-sasl)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling-river) mvn(org.jboss.xnio:xnio-api)
BuildRequires: mvn(org.jboss.maven.plugins:maven-injection-plugin)

BuildArch:     noarch

%description
Main role is to access JMX libraries.

%package          help
Summary:          API documentation for jboss-remoting-jmx.
Provides:         %{name}-javadoc = %{version}-%{release}
Obsoletes:        %{name}-javadoc < %{version}-%{release}

%description    help
The help for jboss-remoting-jmx to use.

%prep
%autosetup -n remoting-jmx-%{version}.Final -p1

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license COPYING.txt

%files help -f .mfiles-javadoc
%doc README

%changelog
* Thu Nov 14 2019 wangye<wangye54@huawei.com> - 2.0.1-6
- Package init
